Package org.zkoss.zul

## Interface CategoryModel

- All Superinterfaces:
    `ChartModel`
  All Known Implementing Classes:
    `SimpleCategoryModel`

      public interface CategoryModel
      extends ChartModel

  A catetory chart data model.
  Author:
    henrichen
  See Also:
    `Chart`, `SimpleCategoryModel`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | clear the model.
    `java.util.Collection<java.lang.Comparable<?>>` | `getCategories()` | Get categories of a specified series as a collection.
    `java.lang.Comparable<?>` | `getCategory​(int index)` | Get a category of the specified index;
    `java.util.Collection<java.util.List<java.lang.Comparable<?>>>` | `getKeys()` | Get (series, category) pairs of this chart data model.
    `java.util.Collection<java.lang.Comparable<?>>` | `getSeries()` | Get all series as a collection.
    `java.lang.Comparable<?>` | `getSeries​(int index)` | Get a series of the specified index;
    `java.lang.Number` | `getValue​(java.lang.Comparable<?> series, java.lang.Comparable<?> category)` | Get value of the specified series and category.
    `void` | `removeValue​(java.lang.Comparable<?> series, java.lang.Comparable<?> category)` | remove the value of the specified series and category.
    `void` | `setValue​(java.lang.Comparable<?> series, java.lang.Comparable<?> category, java.lang.Number value)` | add or update the value of a specified series and category.

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

- - ### Method Detail

    - #### getSeries

          java.lang.Comparable<?> getSeries​(int index)

      Get a series of the specified index;

    - #### getSeries

          java.util.Collection<java.lang.Comparable<?>> getSeries()

      Get all series as a collection.

    - #### getCategory

          java.lang.Comparable<?> getCategory​(int index)

      Get a category of the specified index;

    - #### getCategories

          java.util.Collection<java.lang.Comparable<?>> getCategories()

      Get categories of a specified series as a collection.

    - #### getKeys

          java.util.Collection<java.util.List<java.lang.Comparable<?>>> getKeys()

      Get (series, category) pairs of this chart data model. The returned value is a collection of List where list.get(0) is the series, list.get(1) is the category, in the order the `setValue(java.lang.Comparable<?>, java.lang.Comparable<?>, java.lang.Number)` is called.

    - #### getValue

          java.lang.Number getValue​(java.lang.Comparable<?> series,
                                    java.lang.Comparable<?> category)

      Get value of the specified series and category.
      Parameters:
        `series` - the series
        `category` - the category.

    - #### setValue

          void setValue​(java.lang.Comparable<?> series,
                        java.lang.Comparable<?> category,
                        java.lang.Number value)

      add or update the value of a specified series and category.
      Parameters:
        `series` - the series
        `category` - the category.
        `value` - the value

    - #### removeValue

          void removeValue​(java.lang.Comparable<?> series,
                           java.lang.Comparable<?> category)

      remove the value of the specified series and category.
      Parameters:
        `series` - the series
        `category` - the category.

    - #### clear

          void clear()

      clear the model.